<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Person Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_person.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="class_person-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Person Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Wrap for generic person personal info.  
 <a href="class_person.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_person_8h_source.html">Person.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Person:</div>
<div class="dyncontent">
<div class="center"><img src="class_person__inherit__graph.png" border="0" usemap="#_person_inherit__map" alt="Inheritance graph"/></div>
<map name="_person_inherit__map" id="_person_inherit__map">
<area shape="rect" id="node2" href="class_user.html" title="User" alt="" coords="11,80,62,107"/>
<area shape="rect" id="node3" href="class_admin.html" title="A library user who is also an admin (i.e can manage books of library) " alt="" coords="7,155,66,181"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a27a7b19cdace6de9a04ce0d06fec7957"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a27a7b19cdace6de9a04ce0d06fec7957">Person</a> (std::string name, std::string surname, QDate date)</td></tr>
<tr class="memdesc:a27a7b19cdace6de9a04ce0d06fec7957"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> default constructor with name, surname and date of birth.  <a href="#a27a7b19cdace6de9a04ce0d06fec7957">More...</a><br /></td></tr>
<tr class="separator:a27a7b19cdace6de9a04ce0d06fec7957"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a847845e2e214a89e790c584678f1ea97"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a847845e2e214a89e790c584678f1ea97">Person</a> (const <a class="el" href="class_person.html">Person</a> &amp;p)</td></tr>
<tr class="memdesc:a847845e2e214a89e790c584678f1ea97"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> deep copy of person.  <a href="#a847845e2e214a89e790c584678f1ea97">More...</a><br /></td></tr>
<tr class="separator:a847845e2e214a89e790c584678f1ea97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae046bc90711195d83799f81e096ad503"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_person.html">Person</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#ae046bc90711195d83799f81e096ad503">operator=</a> (const <a class="el" href="class_person.html">Person</a> &amp;p)</td></tr>
<tr class="memdesc:ae046bc90711195d83799f81e096ad503"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator = <a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> deep copy of person  <a href="#ae046bc90711195d83799f81e096ad503">More...</a><br /></td></tr>
<tr class="separator:ae046bc90711195d83799f81e096ad503"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a700ffd693321c5fe6880262acf43d4da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a700ffd693321c5fe6880262acf43d4da"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a700ffd693321c5fe6880262acf43d4da">~Person</a> ()</td></tr>
<tr class="memdesc:a700ffd693321c5fe6880262acf43d4da"><td class="mdescLeft">&#160;</td><td class="mdescRight">~Person Destroy person fields <br /></td></tr>
<tr class="separator:a700ffd693321c5fe6880262acf43d4da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c6a2bfb43c790bc8260933bd847a582"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a7c6a2bfb43c790bc8260933bd847a582">operator==</a> (const <a class="el" href="class_person.html">Person</a> &amp;other) const </td></tr>
<tr class="memdesc:a7c6a2bfb43c790bc8260933bd847a582"><td class="mdescLeft">&#160;</td><td class="mdescRight">virtual because there can be 2 persons with same name and surname and date of birth  <a href="#a7c6a2bfb43c790bc8260933bd847a582">More...</a><br /></td></tr>
<tr class="separator:a7c6a2bfb43c790bc8260933bd847a582"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f47029402c26c3643d23ef04695bb1"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#ae4f47029402c26c3643d23ef04695bb1">operator!=</a> (const <a class="el" href="class_person.html">Person</a> &amp;other) const </td></tr>
<tr class="memdesc:ae4f47029402c26c3643d23ef04695bb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">virtual because there can be 2 persons with same name and surname and date of birth  <a href="#ae4f47029402c26c3643d23ef04695bb1">More...</a><br /></td></tr>
<tr class="separator:ae4f47029402c26c3643d23ef04695bb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6e438f456d3ae6f5b477931c0a6aeba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#ad6e438f456d3ae6f5b477931c0a6aeba">setName</a> (std::string name)</td></tr>
<tr class="memdesc:ad6e438f456d3ae6f5b477931c0a6aeba"><td class="mdescLeft">&#160;</td><td class="mdescRight">set new name  <a href="#ad6e438f456d3ae6f5b477931c0a6aeba">More...</a><br /></td></tr>
<tr class="separator:ad6e438f456d3ae6f5b477931c0a6aeba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6a9ce78af39382fbab39f64319c7cde"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#af6a9ce78af39382fbab39f64319c7cde">setSurname</a> (std::string surname)</td></tr>
<tr class="memdesc:af6a9ce78af39382fbab39f64319c7cde"><td class="mdescLeft">&#160;</td><td class="mdescRight">set new surname  <a href="#af6a9ce78af39382fbab39f64319c7cde">More...</a><br /></td></tr>
<tr class="separator:af6a9ce78af39382fbab39f64319c7cde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a172e5a16b36e2aa9dfec68b289e1747b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a172e5a16b36e2aa9dfec68b289e1747b">setDateOfBirth</a> (QDate dateOfBirth)</td></tr>
<tr class="memdesc:a172e5a16b36e2aa9dfec68b289e1747b"><td class="mdescLeft">&#160;</td><td class="mdescRight">set new date of birth  <a href="#a172e5a16b36e2aa9dfec68b289e1747b">More...</a><br /></td></tr>
<tr class="separator:a172e5a16b36e2aa9dfec68b289e1747b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c7e40e02bfa616e17a0c332dd248eb"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#ac0c7e40e02bfa616e17a0c332dd248eb">getName</a> () const </td></tr>
<tr class="memdesc:ac0c7e40e02bfa616e17a0c332dd248eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets name  <a href="#ac0c7e40e02bfa616e17a0c332dd248eb">More...</a><br /></td></tr>
<tr class="separator:ac0c7e40e02bfa616e17a0c332dd248eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f24e2654e52db9c1f1c368a13135ae1"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a7f24e2654e52db9c1f1c368a13135ae1">getSurname</a> () const </td></tr>
<tr class="memdesc:a7f24e2654e52db9c1f1c368a13135ae1"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets surname  <a href="#a7f24e2654e52db9c1f1c368a13135ae1">More...</a><br /></td></tr>
<tr class="separator:a7f24e2654e52db9c1f1c368a13135ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6958ae5c891dee615a0802bbefd7bc24"><td class="memItemLeft" align="right" valign="top">QDate&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a6958ae5c891dee615a0802bbefd7bc24">getDateOfBirth</a> () const </td></tr>
<tr class="memdesc:a6958ae5c891dee615a0802bbefd7bc24"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets date of birth  <a href="#a6958ae5c891dee615a0802bbefd7bc24">More...</a><br /></td></tr>
<tr class="separator:a6958ae5c891dee615a0802bbefd7bc24"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7">operator&lt;&lt;</a> (std::ostream &amp;out, const <a class="el" href="class_person.html">Person</a> &amp;person)</td></tr>
<tr class="memdesc:ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator &lt;&lt; printer  <a href="#ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7">More...</a><br /></td></tr>
<tr class="separator:ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af39990b4e5fa4f6b4294b345a4846fa1"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#af39990b4e5fa4f6b4294b345a4846fa1">operator&lt;&lt;</a> (std::ostream &amp;out, const <a class="el" href="class_person.html">Person</a> *person)</td></tr>
<tr class="memdesc:af39990b4e5fa4f6b4294b345a4846fa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator &lt;&lt; printer  <a href="#af39990b4e5fa4f6b4294b345a4846fa1">More...</a><br /></td></tr>
<tr class="separator:af39990b4e5fa4f6b4294b345a4846fa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Wrap for generic person personal info. </p>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a27a7b19cdace6de9a04ce0d06fec7957"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Person::Person </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>surname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QDate&#160;</td>
          <td class="paramname"><em>date</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> default constructor with name, surname and date of birth. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of person </td></tr>
    <tr><td class="paramname">surname</td><td>surname of person </td></tr>
    <tr><td class="paramname">date</td><td>date of birth of person</td></tr>
  </table>
  </dd>
</dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<a class="anchor" id="a847845e2e214a89e790c584678f1ea97"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Person::Person </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_person.html">Person</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> deep copy of person. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">p</td><td>person to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6958ae5c891dee615a0802bbefd7bc24"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QDate Person::getDateOfBirth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>gets date of birth </p>
<dl class="section return"><dt>Returns</dt><dd>date of birth </dd></dl>

</div>
</div>
<a class="anchor" id="ac0c7e40e02bfa616e17a0c332dd248eb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Person::getName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>gets name </p>
<dl class="section return"><dt>Returns</dt><dd>name of person </dd></dl>

</div>
</div>
<a class="anchor" id="a7f24e2654e52db9c1f1c368a13135ae1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Person::getSurname </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>gets surname </p>
<dl class="section return"><dt>Returns</dt><dd>surname of person </dd></dl>

</div>
</div>
<a class="anchor" id="ae4f47029402c26c3643d23ef04695bb1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Person::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_person.html">Person</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>virtual because there can be 2 persons with same name and surname and date of birth </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>other object to compare with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the 2 persons are different </dd></dl>

</div>
</div>
<a class="anchor" id="ae046bc90711195d83799f81e096ad503"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_person.html">Person</a> &amp; Person::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_person.html">Person</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>operator = <a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> deep copy of person </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">p</td><td>person to copy </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>deep copy of person </dd></dl>

</div>
</div>
<a class="anchor" id="a7c6a2bfb43c790bc8260933bd847a582"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Person::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_person.html">Person</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>virtual because there can be 2 persons with same name and surname and date of birth </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>other object to compare with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the 2 persons are the same </dd></dl>

</div>
</div>
<a class="anchor" id="a172e5a16b36e2aa9dfec68b289e1747b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Person::setDateOfBirth </td>
          <td>(</td>
          <td class="paramtype">QDate&#160;</td>
          <td class="paramname"><em>dateOfBirth</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>set new date of birth </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dateOfBirth</td><td>new date of birth </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad6e438f456d3ae6f5b477931c0a6aeba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Person::setName </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>set new name </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of person </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af6a9ce78af39382fbab39f64319c7cde"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Person::setSurname </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>surname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>set new surname </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">surname</td><td>surname of person </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_person.html">Person</a> &amp;&#160;</td>
          <td class="paramname"><em>person</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator &lt;&lt; printer </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">out</td><td>stream </td></tr>
    <tr><td class="paramname">object</td><td>to print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>print object </dd></dl>

</div>
</div>
<a class="anchor" id="af39990b4e5fa4f6b4294b345a4846fa1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_person.html">Person</a> *&#160;</td>
          <td class="paramname"><em>person</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator &lt;&lt; printer </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">out</td><td>stream </td></tr>
    <tr><td class="paramname">object</td><td>to print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>print object </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>models/People/Person/<a class="el" href="_person_8h_source.html">Person.h</a></li>
<li>models/People/Person/Person.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_person.html">Person</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
